org.jboss.jca.validator

## Class Failure

- java.lang.Object
- - org.jboss.jca.validator.Failure

- All Implemented Interfaces:
    java.io.Serializable

      public class Failure
      extends java.lang.Object
      implements java.io.Serializable

  Failure
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Failure(int severity, java.lang.String section, java.lang.String description)` Constructor
    `Failure(int severity, java.lang.String section, java.lang.String description, java.lang.String code)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `asText(java.util.ResourceBundle rb)` As text
    `java.lang.String` | `asXML(java.util.ResourceBundle rb)` As XML
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCode()` Get the code
    `java.lang.String` | `getDescription()` Get the description
    `java.lang.String` | `getSection()` Get the section
    `int` | `getSeverity()` Get the severity
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Failure

          public Failure(int severity,
                         java.lang.String section,
                         java.lang.String description)

      Constructor
      Parameters:
        `severity` - The severity
        `section` - The section
        `description` - The description

    - #### Failure

          public Failure(int severity,
                         java.lang.String section,
                         java.lang.String description,
                         java.lang.String code)

      Constructor
      Parameters:
        `severity` - The severity
        `section` - The section
        `description` - The description
        `code` - The code

  - ### Method Detail

    - #### getSeverity

          public int getSeverity()

      Get the severity
      Returns:
        The severity

    - #### getSection

          public java.lang.String getSection()

      Get the section
      Returns:
        The section

    - #### getDescription

          public java.lang.String getDescription()

      Get the description
      Returns:
        The description

    - #### getCode

          public java.lang.String getCode()

      Get the code
      Returns:
        The code

    - #### asText

          public java.lang.String asText(java.util.ResourceBundle rb)

      As text
      Parameters:
        `rb` - The resource bundle
      Returns:
        The text representation

    - #### asXML

          public java.lang.String asXML(java.util.ResourceBundle rb)

      As XML
      Parameters:
        `rb` - The resource bundle
      Returns:
        The XML representation

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)